%global libname mesonbuild

%global python3_version 3.8
%global python3_version_nodots 38
%global __python3 /usr/bin/python%{python3_version}

Name:           meson
Version:        0.57.2
Release:        2%{?dist}
Summary:        High productivity build system

License:        ASL 2.0
URL:            https://mesonbuild.com/
Source:         https://github.com/mesonbuild/meson/releases/download/%{version}/meson-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_version_nodots}-devel
BuildRequires:  python%{python3_version_nodots}-setuptools
Requires:       python%{python3_version}dist(setuptools)
Requires:       ninja-build

%description
Meson is a build system designed to optimize programmer
productivity. It aims to do this by providing simple, out-of-the-box
support for modern software development tools and practices, such as
unit tests, coverage reports, Valgrind, CCache and the like.

%prep
%autosetup -p1
# Macro should not change when we are redefining bindir
sed -i -e "/^%%__meson /s| .*$| %{_bindir}/%{name}|" data/macros.%{name}

%build
%py3_build

%install
%py3_install
install -Dpm0644 -t %{buildroot}%{rpmmacrodir} data/macros.%{name}

%files
%license COPYING
%{_bindir}/%{name}
%{python3_sitelib}/%{libname}/
%{python3_sitelib}/%{name}-*.egg-info/
%{_mandir}/man1/%{name}.1*
%{rpmmacrodir}/macros.%{name}
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy

%changelog
* Wed Nov 10 2021 Anita Zhang <the.anitazha@gmail.com> - 0.57.2-2
- rebuild meson with python 3.8 to get https://bugs.python.org/issue38019

* Sun Apr 18 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.57.2-1
- import meson-0.57.2-1.fc35

* Tue Dec 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.57.1-1
- import meson-0.57.1-1.fc35
